curl "https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/products/prd_FQFHqVNiCRb7J" \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.accounts("acc_yVf3mkzbhz9tj")
.products
.retrieve("prd_FQFHqVNiCRb7J");
response = method
.accounts('acc_yVf3mkzbhz9tj')
.products
.retrieve('prd_FQFHqVNiCRb7J')
{
"id": "prd_FQFHqVNiCRb7J",
"name": "balance",
"status": "available",
"status_error": null,
"latest_request_id": null,
"is_subscribable": false,
"created_at": "2024-03-26T20:25:27.261Z",
"updated_at": "2024-03-26T20:25:27.316Z"
}
Retrieve a Product
GET
/
accounts
/
{acc_id}
/
products
/
{prd_id}
curl "https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/products/prd_FQFHqVNiCRb7J" \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.accounts("acc_yVf3mkzbhz9tj")
.products
.retrieve("prd_FQFHqVNiCRb7J");
response = method
.accounts('acc_yVf3mkzbhz9tj')
.products
.retrieve('prd_FQFHqVNiCRb7J')
{
"id": "prd_FQFHqVNiCRb7J",
"name": "balance",
"status": "available",
"status_error": null,
"latest_request_id": null,
"is_subscribable": false,
"created_at": "2024-03-26T20:25:27.261Z",
"updated_at": "2024-03-26T20:25:27.316Z"
}
Retrieves a Product record for an Account.
Path Parameters
Returns
Returns a Product object.curl "https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/products/prd_FQFHqVNiCRb7J" \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.accounts("acc_yVf3mkzbhz9tj")
.products
.retrieve("prd_FQFHqVNiCRb7J");
response = method
.accounts('acc_yVf3mkzbhz9tj')
.products
.retrieve('prd_FQFHqVNiCRb7J')
{
"id": "prd_FQFHqVNiCRb7J",
"name": "balance",
"status": "available",
"status_error": null,
"latest_request_id": null,
"is_subscribable": false,
"created_at": "2024-03-26T20:25:27.261Z",
"updated_at": "2024-03-26T20:25:27.316Z"
}
⌘I